-- 测试工具相关协议 2200~2299
local proto_struct = [[
]]

local proto_c2s =
    [[
        # 玩家修改个人系统时间GM
        test_debug_system_time 2200 {
            request {
                uid 0: integer
                time 1: integer                 # 玩家修改的时间戳
                reset 2: integer                # 是否重置,0（空）:重置,1:系统时间,2:设置注册时间,3:退出标准时间
            }
            response {
                code 0: integer                 # 返回码
                sysTime 1: integer              # 服务器时间
                debugTime 2: integer            # 调试时间（固定）
            }
        }

        #请求给玩家增减物品GM
        test_add_items 2201 {
            request {
                uid 0: integer
                items 1: *DataItem              # 物品列表
            }
            response {
                code 0: integer
            }
        }

        # 测试支付接口
        test_pay_goods 2202 {
            request {
                orderId 0: string               # 订单号 时间戳_渠道_玩家ID_商品ID
                payName 1: string               # 支付名称wxpay cmpay...
                status 2: boolean               # 订单成功 true, 失败 false
                resMsg 3: string                # 订单状态解释
                amount 4: integer               # 实际订单金额，单位分
            }
            response {
                code 0: integer                 #
            }
        }
]]

local proto_s2c = [[
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
